Importing templates with 'associate: never' does not import provisioning templates
01/03/2020 11:09 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Templates

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1785624 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7371
Description

Importing Provisioning Template from Ul with "associate: never" gives "templateKindld: can't be blank" error even though template
kind is specified in metadata

Associated revisions

Revision b6550cca - 02/28/2020 10:03 AM - Ondiej Prazak

Fixes #28629 - Always associate template kind

History

#1 - 01/03/2020 11:09 AM - Ondfej Prazak
- File template-kind-id.png added

- Subject changed from [Ul] Importing templates with 'associate: never' does not import provisioning templates
to [Ul] Importing templates with ‘associate: never' does not import provisioning templates

#2 - 01/20/2020 01:15 PM - Ondrej Prazak
- Project changed from Templates to Foreman

- Subject changed from [Ul] Importing templates with ‘associate: never' does not import provisioning templates to Importing templates with 'associate:
never' does not import provisioning templates

- Category set to Templates

- Assignee set to Ondrej PraZzak

The bug manifests in foreman_templates on template import, but the cause is that we skip associating template kind when 'associate' import option is
'never'. Without template kind, the provisioning template does not pass validations and it needs to be fixed in core.

#3 - 01/20/2020 01:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7371 added

#4 - 02/28/2020 10:03 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 02/28/2020 11:01 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed

Applied in changeset b6550ccad40dd3d10f79da316510c25ba4c4ff46.
